Evolution
Keywords: uk.ac.bbk.dcs.automed.evolution1.Evolution class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.evolution1
Class Evolution

    java.lang.Object
      uk.ac.bbk.dcs.automed.evolution1.Evolution

Direct Known Subclasses:
  ExtensionalSchemaEvolution, VirtualSchemaEvolution

    public abstract class Evolution

extends java.lang.Object

Field Summary
`protected boolean` | `isDataEvolution`
`protected boolean` | `isRepair`
`protected boolean` | `isSchemaEvolution`

Constructor Summary
`Evolution()`

Method Summary
`abstract void` | `createNew()`
`abstract void` | `createNewOneStep()`
`static void` | `dropSchemas(Pathway p)` Retracts schemas in the pathway from s1 to s2, WITHOUT retracting s2.
`boolean` | `getIsDataEvolution()`
`boolean` | `getIsRepair()`
`boolean` | `getIsSchemaEvolution()`
`abstract void` | `repairExisting()`
`abstract void` | `repairExistingOneStep()`
`void` | `setIsDataEvolution(boolean isDataEvolution)`
`void` | `setIsRepair(boolean isRepair)`
`void` | `setIsSchemaEvolution(boolean isSchemaEvolution)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isRepair

    protected boolean isRepair

### isDataEvolution

    protected boolean isDataEvolution

### isSchemaEvolution

    protected boolean isSchemaEvolution

Constructor Detail

### Evolution

    public Evolution()

Method Detail

### createNew

    public abstract void createNew()

### createNewOneStep

    public abstract void createNewOneStep()

### repairExisting

    public abstract void repairExisting()

### repairExistingOneStep

    public abstract void repairExistingOneStep()

### setIsRepair

    public void setIsRepair(boolean isRepair)

### setIsDataEvolution

    public void setIsDataEvolution(boolean isDataEvolution)

### setIsSchemaEvolution

    public void setIsSchemaEvolution(boolean isSchemaEvolution)

### getIsRepair

    public boolean getIsRepair()

### getIsDataEvolution

    public boolean getIsDataEvolution()

### getIsSchemaEvolution

    public boolean getIsSchemaEvolution()

### dropSchemas

    public static void dropSchemas(Pathway p)
                            throws IntegrityException,
                                   NotFoundException

  Retracts schemas in the pathway from s1 to s2, WITHOUT retracting s2.

  Throws:
    `IntegrityException`
    `NotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD